org.eclnt.jsfserver.elements

## Class BaseHTMLComponent

- java.lang.Object
- - UIComponentBase
  - - org.eclnt.jsfserver.elements.BaseComponent
    - - org.eclnt.jsfserver.elements.BaseHTMLComponent

- All Implemented Interfaces:
    java.io.Serializable

      public class BaseHTMLComponent
      extends BaseComponent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `BaseComponent.DecodePassData, BaseComponent.IEventQueue`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `m_attributesIsDynamicInfo, m_attributesIsManagedViaAdapterBinding, m_attributesReferenceInfo, m_attributesSetViaStyle, m_attributesTakeOverInfo, m_currentDump, m_explicitlyNulledAttributes, m_lastDumpRequestSequenceId, m_previousDump, m_styleValues, m_tagAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseHTMLComponent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addHiddenField(FacesContext context, ResponseWriter writer, java.lang.String postfix)`
    `protected static void` | `appendToStyle(java.lang.StringBuffer style, java.lang.String styleFragment)`
    `protected boolean` | `checkIfFocusIsRequested()`
    `boolean` | `getCurrentEnabled()`
    `java.lang.String` | `getCurrentStyleClass(java.lang.String defaultStyle)`
    `java.lang.String` | `getCurrentTdStyleClass()`
    `protected UIForm` | `getParentForm()` Returns the form that this component is living in.
    `protected void` | `manageFocus(FacesContext context, java.lang.String id)`
    `protected void` | `manageFocus(FacesContext context, java.lang.String id, java.lang.String preStatement, java.lang.String postStatement)`
    `void` | `restoreState(FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(FacesContext context)`
    `java.lang.String` | `writeTdAroundControl(ResponseWriter writer, ComponentDump cd, boolean withStyle)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `addExplicitlyNulledAttribute, addValueBindingExec, addValueExpressionExec, appendDecodeInformation, applyChangedStyleVariant, buildAttributesIsDynamicInfo, checkIfAttributeIsExplicitlyNulled, checkIfAttributesIsManagedByExpression, checkIfComponentHasAdapterBinding, checkIfComponentIdIsPartOfRequest, checkIfComponentTagIsAvailable, checkIfEncodeCalledFirstTime, checkIfStyleVariantIsDynamic, checkIfStyleVariantWasUpdated, checkIfToTakeOverAttribute, convertValueDuringDecode, convertValueDuringGetAttribute, createNewIdCounter, createSubId, createSubId, decode, destroy, detectChangesInSubComponents, encodeBegin, encodeChildren, encodeEnd, ensureSessionIsValid, executeQueueingOfBufferedEvents, findContentReplaceListDuringRendering, findCurrentDump, getAdapterBindingAterEncodeBegin, getApplicationReference, getAttributeFromAdapterBinding, getAttributeFromAdapterBinding, getAttributesGet, getAttributesGet, getAttributesSetViaStyle, getAttributeString, getAttributeValueAsString, getChild, getClientTagName, getComponentAdapterBinding, getComponentClass, getExpressionFromComponentAttribute, getFamily, getInnerEventRequestId, getOriginalAttributeString, getParameterNameForDecode, getPreferredDataType, getRendersChildren, getSavedState, getTagAttributes, isDestroyed, isRendered, m_componentRepository, passPropertyUsage, passStyleValues, processDecodes, processUpdates, processValidators, queueEvent, queueEventExecute, reactOnSetPropertiesByTagFinished, readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding, readCurrentComponentDump, readDefaultUpdateAttribute, readPreviousComponentDump, readTagAttributes, readTagAttributesSet, registerInnerEvent, renderComponentNoChange, resetInternalAttributeBuffer, resetPreviousDump, resolveComponentValueAsString, retrieveValueFromComponent, setApplicationReference, setAttributeValueFromOutside, setComponentBinding, setCurrentComponentDump, setExpressionAsComponentAttributeFromOutside, setParent, setRendered, setRendersChildren, updateAttributeValue, updateComponentBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseHTMLComponent

          public BaseHTMLComponent()

  - ### Method Detail

    - #### saveState

          public java.lang.Object saveState(FacesContext context)

      Overrides:
        `saveState` in class `BaseComponent`

    - #### restoreState

          public void restoreState(FacesContext context,
                                   java.lang.Object state)

      Overrides:
        `restoreState` in class `BaseComponent`

    - #### writeTdAroundControl

          public java.lang.String writeTdAroundControl(ResponseWriter writer,
                                                       ComponentDump cd,
                                                       boolean withStyle)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCurrentEnabled

          public boolean getCurrentEnabled()

    - #### getCurrentStyleClass

          public java.lang.String getCurrentStyleClass(java.lang.String defaultStyle)

    - #### getCurrentTdStyleClass

          public java.lang.String getCurrentTdStyleClass()

    - #### getParentForm

          protected UIForm getParentForm()

      Returns the form that this component is living in.

    - #### manageFocus

          protected void manageFocus(FacesContext context,
                                     java.lang.String id)

    - #### manageFocus

          protected void manageFocus(FacesContext context,
                                     java.lang.String id,
                                     java.lang.String preStatement,
                                     java.lang.String postStatement)

    - #### checkIfFocusIsRequested

          protected boolean checkIfFocusIsRequested()

    - #### addHiddenField

          protected void addHiddenField(FacesContext context,
                                        ResponseWriter writer,
                                        java.lang.String postfix)

    - #### appendToStyle

          protected static void appendToStyle(java.lang.StringBuffer style,
                                              java.lang.String styleFragment)

Copyright © CaptainCasa Gmbh. All Rights Reserved.